PojoMessageHandlerPartialText (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerPartialText

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<java.lang.String>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialText

- All Implemented Interfaces:
    `MessageHandler`, `MessageHandler.Partial<java.lang.String>`, `WrappedMessageHandler`

      public class PojoMessageHandlerPartialText
      extends PojoMessageHandlerPartialBase<java.lang.String>

  Text specific concrete implementation for handling partial messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PojoMessageHandlerPartialText​(java.lang.Object pojo, java.lang.reflect.Method method, Session session, java.lang.Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase

      `onMessage`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoMessageHandlerPartialText

          public PojoMessageHandlerPartialText​(java.lang.Object pojo,
                                               java.lang.reflect.Method method,
                                               Session session,
                                               java.lang.Object[] params,
                                               int indexPayload,
                                               boolean convert,
                                               int indexBoolean,
                                               int indexSession,
                                               long maxMessageSize)